Skip to content
GET/{organizationId}/{mandateId}/finance/accounts/creditors/{creditorIdOrAccount}

Get creditor

Returns a specific creditor by its id or account number with all of its details

Required permissions:

  • mandate.read

  • creditor.read

Permissions depending on contact type:

  • contact:member

  • contact:address

  • contact:customer

  • contact:sponsor

  • contact:contributor

  • contact:employee

  • contact:supplier

Path Parameters

organizationIdstringrequired
mandateIdstringrequired
creditorIdOrAccountstringrequired

Query Parameters

includeLinkedContactbooleanoptional

Default: false

includeLinkedContactsbooleanoptional

Default: false

Authentication: X-API-Key

Request

GET/{organizationId}/{mandateId}/finance/accounts/creditors/{creditorIdOrAccount}
curl --request GET 'https://cloud.campai.com/api/{organizationId}/{mandateId}/finance/accounts/creditors/{creditorIdOrAccount}' \
  --header 'X-API-Key: YOUR_API_KEY'

Responses

This endpoint returns different response codes based on the request outcome.

200Successful response

Content-Type: application/json

ObjectId as string

typestringrequired

Options:

businessperson
accountintegerrequired

minimum: 1

maximum: 999999999

namestringrequired

minLength: 1

maxLength: 81

nameSortstringrequired

minLength: 1

maxLength: 81

ObjectId as string

detailsstringrequired

maxLength: 255

paymentMethodTypestring | nullrequired

Default: null

Options:

cashcreditTransfer

Default: null

Additional properties are not allowed.

totalOwedToCreditorintegerrequired

minimum: -9007199254740991

maximum: 9999999999

totalOwedFromCreditorintegerrequired

minimum: -9007199254740991

maximum: 9999999999

supplierNumberstringrequired

maxLength: 32

Additional properties are not allowed.

Response

200
{
  "_id": "000000000000000000000001",
  "mandates": [
    "000000000000000000000001"
  ],
  "type": "business",
  "account": 1,
  "name": "string",
  "nameSort": "string",
  "contact": "000000000000000000000001",
  "details": "string",
  "paymentMethodType": null,
  "creditTransfer": null,
  "totalOwedToCreditor": -9007199254740991,
  "totalOwedFromCreditor": -9007199254740991,
  "supplierNumber": "string"
}

400Invalid input data

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

400
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}

401Authorization not provided

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

401
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}

403Insufficient access

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

403
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}

404Not found

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

404
{
  "code": "NOT_FOUND",
  "message": "Not found",
  "issues": []
}

500Internal server error

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

500
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}